.modal {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 100;
        justify-content: center;
        align-items: center;
    }
    
    .modal-content {
        background-color: white;
        padding: 2rem;
        border-radius: 10px;
        width: 90%;
        max-width: 500px;
        box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
        max-height: 90vh;
        overflow-y: auto;
    }
    
    .show {
        display: flex;
    }
    
    .bg-primary {
        background-color: var(--primary-color);
    }
    
    .bg-secondary {
        background-color: var(--secondary-color);
    }
    
    .text-primary {
        color: var(--primary-color);
    }
    
    .text-secondary {
        color: var(--secondary-color);
    }
    
    .border-primary {
        border-color: var(--primary-color);
    }
    
    .hover\:bg-primary-dark:hover {
        background-color: #15b386;
    }
    
    .hover\:bg-secondary-dark:hover {
        background-color: #2a2932;
    }
    
    .menu-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 45;
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
    }
    
    .menu-active .menu-overlay {
        opacity: 1;
        visibility: visible;
    }